tw.com.prolific.driver.pl2303

## Enum PL2303Driver.DataBits

- java.lang.Object
- - java.lang.Enum<PL2303Driver.DataBits>
  - - tw.com.prolific.driver.pl2303.PL2303Driver.DataBits

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PL2303Driver.DataBits>
  Enclosing class:
    PL2303Driver

      public static enum PL2303Driver.DataBits
      extends java.lang.Enum<PL2303Driver.DataBits>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `D5`
    `D6`
    `D7`
    `D8`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PL2303Driver.DataBits` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PL2303Driver.DataBits[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### D5

          public static final PL2303Driver.DataBits D5

    - #### D6

          public static final PL2303Driver.DataBits D6

    - #### D7

          public static final PL2303Driver.DataBits D7

    - #### D8

          public static final PL2303Driver.DataBits D8

  - ### Method Detail

    - #### values

          public static PL2303Driver.DataBits[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PL2303Driver.DataBits c : PL2303Driver.DataBits.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PL2303Driver.DataBits valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null